All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.remotefileselector.informationservices
Class InformationServicesAuthorCellRenderer

    com.sas.swing.visuals.remotefileselector.informationservices.InformationServicesAuthorCellRenderer

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.SwingConstants, javax.swing.table.TableCellRenderer

    public class InformationServicesAuthorCellRenderer

implements javax.swing.table.TableCellRenderer

InformationServicesAuthorCellRenderer formats the author column value.

Since:
  3.1
See Also:
  Serialized Form

Field Summary
`static InformationServicesAuthorCellRenderer` | `defaultInstance` A default instance of the class

Constructor Summary
`InformationServicesAuthorCellRenderer()`

Method Summary
`java.awt.Component` | `getTableCellRendererComponent(javax.swing.JTable table, java.lang.Object value, boolean isSelected, boolean cellHasFocus, int row, int column)` Returns the formatted value for the Author column.

Field Detail

### defaultInstance

    public static final InformationServicesAuthorCellRenderer defaultInstance

  A default instance of the class

Constructor Detail

### InformationServicesAuthorCellRenderer

    public InformationServicesAuthorCellRenderer()

Method Detail

### getTableCellRendererComponent

    public java.awt.Component getTableCellRendererComponent(javax.swing.JTable table,
                                                            java.lang.Object value,
                                                            boolean isSelected,
                                                            boolean cellHasFocus,
                                                            int row,
                                                            int column)

  Returns the formatted value for the Author column.

  Specified by:
    `getTableCellRendererComponent` in interface `javax.swing.table.TableCellRenderer`
  Parameters:
    `table` - the table where the cell is displayed
    `value` - the value to format
    `isSelected` - whether the cell is selected
    `cellHasFocus` - whether the cell has focus
    `row` - the cell's row
    `column` - the cell's column
  Returns:
    the formatted value

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.